> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit user course item 

> Submit a course item for a given user

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/submit-user-course-item
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/submit-user-course-item:
    post:
      tags:
        - Course
      summary: 'Submit user course item '
      description: >-
        Submit a course item for a given user


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          courseItemId:
                            type: string
                            description: ID of the course item.
                          userId:
                            type: string
                            description: >-
                              Internal userId you have been using for the user
                              in your database
                          userEmail:
                            type: string
                            format: email
                            description: Email of the user
                          shouldMarkAsCompleted:
                            type: boolean
                            nullable: true
                            description: >-
                              Whether to mark the course item as completed after
                              submission
                          details:
                            type: object
                            properties:
                              courseItemType:
                                type: string
                                enum:
                                  - Quiz
                                description: >-
                                  Type of course item being submitted, currently
                                  only Quiz is supported
                              questionsToUpsert:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    questionUniqueId:
                                      type: string
                                      description: Unique identifier for the question
                                    newSelectedOptionIds:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        Array of selected option IDs for this
                                        question
                                  required:
                                    - questionUniqueId
                                    - newSelectedOptionIds
                                minItems: 0
                                description: >-
                                  List of questions with their selected answers
                                  to update
                            required:
                              - courseItemType
                              - questionsToUpsert
                            description: Details specific to the course item submission
                        required:
                          - courseItemId
                          - details
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties: {}
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````